org.eclipse.incquery.viewers.runtime.model

## Interface Edge

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, FormattableElement, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    Containment
  All Known Implementing Classes:
    ContainmentImpl, EdgeImpl

      public interface Edge
      extends FormattableElement

  A representation of the model object 'Edge'.

  The following features are supported:

  - `Source`
  - `Target`
  See Also:
    `NotationPackage.getEdge()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Item` | `getSource()` Returns the value of the 'Source' reference.
    `Item` | `getTarget()` Returns the value of the 'Target' reference.
    `void` | `setSource(Item value)` Sets the value of the '`Source`' reference.
    `void` | `setTarget(Item value)` Sets the value of the '`Target`' reference.

    - ### Methods inherited from interface org.eclipse.incquery.viewers.runtime.model.FormattableElement

      `getFormat, getId, getLabel, setFormat, setId, setLabel`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getSource

          Item getSource()

      Returns the value of the 'Source' reference.

      If the meaning of the 'Source' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Source' reference.
      See Also:
        `setSource(Item)`, `NotationPackage.getEdge_Source()`

    - #### setSource

          void setSource(Item value)

      Sets the value of the '`Source`' reference.
      Parameters:
        `value` - the new value of the 'Source' reference.
      See Also:
        `getSource()`

    - #### getTarget

          Item getTarget()

      Returns the value of the 'Target' reference.

      If the meaning of the 'Target' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Target' reference.
      See Also:
        `setTarget(Item)`, `NotationPackage.getEdge_Target()`

    - #### setTarget

          void setTarget(Item value)

      Sets the value of the '`Target`' reference.
      Parameters:
        `value` - the new value of the 'Target' reference.
      See Also:
        `getTarget()`